Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: todays update

  1. #1

    Question todays update

    I'm using 15.2 leap with kde. I did zypper dup today and had the following error show up in Konsole ? Not sure what to do.

    Warning: Digest verification failed for file 'libswscale4-3.4.4-lp152.3.7.x86_64.rpm'
    [/var/tmp/AP_0xlTUymh/x86_64/libswscale4-3.4.4-lp152.3.7.x86_64.rpm]

    expected b88cb3105e4144c2ae2e12a73d0197bd2431b8fd0a7eddbf5a9b29bfd8a25f03
    but got 21a2ef95f55b1f6970c5d12104e45e429df4900240d5058d60fee43a98201449

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,872
    Blog Entries
    14

    Default Re: todays update

    Quote Originally Posted by 1chip View Post
    I'm using 15.2 leap with kde. I did zypper dup today and had the following error show up in Konsole ? Not sure what to do.

    Warning: Digest verification failed for file 'libswscale4-3.4.4-lp152.3.7.x86_64.rpm'
    [/var/tmp/AP_0xlTUymh/x86_64/libswscale4-3.4.4-lp152.3.7.x86_64.rpm]

    expected b88cb3105e4144c2ae2e12a73d0197bd2431b8fd0a7eddbf5a9b29bfd8a25f03
    but got 21a2ef95f55b1f6970c5d12104e45e429df4900240d5058d60fee43a98201449
    This usually means that the package in the repos differs from what is cached on your system, Dupped a VM with 15.2 today succesfully and this is what I get:

    Code:
    knurpht@linux-zodt:~> rpm -qa | grep libswscale
    libswscale4-3.4.4-pm152.5.1.x86_64
    libswscale5-4.2.1-pm152.3.11.x86_64
    knurpht@linux-zodt:~>
    A general approach to solve this:
    Code:
    sudo zypper clean
    sudo zypper ref
    sudo zypper dup
    But mind, mine come from Packman.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,516
    Blog Entries
    3

    Default Re: todays update

    I just finished updating. No problem here. However, like Knurpht, I get "libswscale4" from packman.

    I have seen similar errors in the past. What I usually do is wait 30 minutes (to give time for mirrors to complete synchronizing). And then I use:
    Code:
    zypper refresh -f
    to force a refresh. And, as best I can recall, that has always worked.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  4. #4

    Default Re: todays update

    ok thanks. I just installed it yesterday with only standard options.

  5. #5

    Default Re: todays update

    Waited a while and tried again, worked ok.
    Thanks

  6. #6

    Default Re: todays update

    Tried zypper dup today and had a lot of errors, nothing would update.
    1/124) Installing: gsettings-desktop-schemas-3.34.0-lp152.3.2.x86_64 .........[error]
    Installation of gsettings-desktop-schemas-3.34.0-lp152.3.2.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: can't create transaction lock on /var/lib/rpm/.rpm.lock (Read-only file system)

    Had similar errors for all 124 items.

  7. #7
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,322

    Default Re: todays update

    Ad did you check if the file system where /var/lib/rpm is on is indeed read-only?
    Henk van Velden

  8. #8
    Join Date
    Jun 2008
    Location
    Southwest Virginia, USA
    Posts
    62

    Default Re: todays update

    Have the repo's been finalized yet? Via Yast, there are no community repo's to choose from?

    I did a fresh install on my laptop today. I've gotten several packman related processes blocked by incompatibility problems of one kind or another today. Even my desktop does not have finalized repos in the community section.

    This is a problem it seems to me that feels unfinished.
    John

    Home Tumbleweed Gnome User

  9. #9
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,516
    Blog Entries
    3

    Default Re: todays update

    The packman repo does exist. I am using
    Code:
    http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Leap_15.2/
    or, actually, I am using
    Code:
    http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Leap_$releasever/
    I did not get that from the community list. I manually configured it, based on what I had been using for Leap 15.1.

    In my experience, the list of community repos takes a few days to be filled out.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  10. #10

    Default Re: todays update

    Quote Originally Posted by hcvv View Post
    Ad did you check if the file system where /var/lib/rpm is on is indeed read-only?
    I'm not sure. I did use a previous image to boot because I was having problems with everything freezing up.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •